Information on source package ccextractor

Available versions

ReleaseVersion
buster0.87+ds1-1
bullseye0.88+ds1-1
bookworm0.93+ds2-1
sid0.93+ds2-1

Open issues

BugbusterbullseyebookwormsidDescription
CVE-2021-33362vulnerable (no DSA)vulnerable (no DSA)fixedfixedStack buffer overflow in the hevc_parse_vps_extension function in MP4B ...
CVE-2021-32440vulnerable (no DSA)vulnerable (no DSA)fixedfixedThe Media_RewriteODFrame function in GPAC 1.0.1 allows attackers to ca ...
CVE-2021-32137vulnerable (no DSA)vulnerable (no DSA)fixedfixedHeap buffer overflow in the URL_GetProtocolType function in MP4Box in ...
CVE-2021-31260vulnerable (no DSA)vulnerable (no DSA)fixedfixedThe MergeTrack function in GPAC 1.0.1 allows attackers to cause a deni ...
CVE-2021-31258vulnerable (no DSA)vulnerable (no DSA)fixedfixedThe gf_isom_set_extraction_slc function in GPAC 1.0.1 allows attackers ...
CVE-2021-30014vulnerable (no DSA)vulnerable (no DSA)fixedfixedThere is a integer overflow in media_tools/av_parsers.c in the hevc_pa ...
CVE-2021-28300vulnerable (no DSA)vulnerable (no DSA)fixedfixedNULL Pointer Dereference in the "isomedia/track.c" module's "MergeTrac ...
CVE-2021-21852vulnerable (no DSA)vulnerable (no DSA)fixedfixedMultiple exploitable integer overflow vulnerabilities exist within the ...
CVE-2020-35981vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in GPAC version 0.8.0 and 1.0.1. There is an i ...
CVE-2020-24829vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in GPAC v0.8.0, as demonstrated by MP4Box. It ...
CVE-2020-19751vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in gpac 0.8.0. The gf_odf_del_ipmp_tool functi ...
CVE-2020-6631vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in GPAC version 0.8.0. There is a NULL pointer ...
CVE-2020-6630vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in GPAC version 0.8.0. There is a NULL pointer ...
CVE-2019-20208vulnerable (no DSA)vulnerable (no DSA)fixedfixeddimC_Read in isomedia/box_code_3gpp.c in GPAC 0.8.0 has a stack-based ...
CVE-2019-20171vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in GPAC version 0.8.0 and 0.9.0-development-20 ...
CVE-2019-20170vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in GPAC version 0.8.0 and 0.9.0-development-20 ...
CVE-2019-20162vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in GPAC version 0.8.0 and 0.9.0-development-20 ...
CVE-2019-20161vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in GPAC version 0.8.0 and 0.9.0-development-20 ...
CVE-2019-13618vulnerable (no DSA)vulnerable (no DSA)fixedfixedIn GPAC before 0.8.0, isomedia/isom_read.c in libgpac.a has a heap-bas ...
CVE-2019-12483vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in GPAC 0.7.1. There is a heap-based buffer ov ...
CVE-2019-12482vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in GPAC 0.7.1. There is a NULL pointer derefer ...
CVE-2019-12481vulnerable (no DSA)vulnerable (no DSA)fixedfixedAn issue was discovered in GPAC 0.7.1. There is a NULL pointer derefer ...
CVE-2018-21015vulnerable (no DSA)vulnerable (no DSA)fixedfixedAVC_DuplicateConfig() at isomedia/avc_ext.c in GPAC 0.7.1 allows remot ...

Resolved issues

BugDescription
CVE-2021-32139The gf_isom_vp_config_get function in GPAC 1.0.1 allows attackers to c ...
CVE-2021-32134The gf_odf_desc_copy function in GPAC 1.0.1 allows attackers to cause ...
CVE-2020-35980An issue was discovered in GPAC version 0.8.0 and 1.0.1. There is a us ...

Search for package or bug name: Reporting problems